Package wx :: Package lib :: Module pydocview :: Class DocFrameMixIn

[frames | no frames]

## Class DocFrameMixIn

Known Subclasses:
  `DocMDIParentFrame`, `DocSDIFrame`, `DocTabbedParentFrame`

Class with common code used by DocMDIParentFrame, DocTabbedParentFrame, and DocSDIFrame.

Method Summary
| ``CreateDefaultMenuBar`(self, sdi)` Creates the default MenuBar.
| ``CreateDefaultStatusBar`(self)` Creates the default StatusBar.
| ``CreateDefaultToolBar`(self)` Creates the default ToolBar.
| ``GetDocumentManager`(self)` Returns the document manager associated with the DocMDIParentFrame.
| ``InitializePrintData`(self)` Initializes the PrintData that is used when printing.
| ``OnAbout`(self, event)` Invokes the about dialog.
| ``OnFileSaveAll`(self, event)` Saves all of the currently open documents.
| ``OnUpdateViewStatusBar`(self, event)` Updates the View StatusBar menu item.
| ``OnUpdateViewToolBar`(self, event)` Updates the View ToolBar menu item.
| ``OnViewStatusBar`(self, event)` Toggles whether the StatusBar is visible.
| ``OnViewToolBar`(self, event)` Toggles whether the ToolBar is visible.
| ``UpdateStatus`(self, message)` Updates the StatusBar.

Method Details

### CreateDefaultMenuBar(self, sdi=False)

Creates the default MenuBar. Contains File, Edit, View, Tools, and Help menus.

### CreateDefaultStatusBar(self)

Creates the default StatusBar.

### CreateDefaultToolBar(self)

Creates the default ToolBar.

### GetDocumentManager(self)

Returns the document manager associated with the DocMDIParentFrame.

### InitializePrintData(self)

Initializes the PrintData that is used when printing.

### OnAbout(self, event)

Invokes the about dialog.

### OnFileSaveAll(self, event)

Saves all of the currently open documents.

### OnUpdateViewStatusBar(self, event)

Updates the View StatusBar menu item.

### OnUpdateViewToolBar(self, event)

Updates the View ToolBar menu item.

### OnViewStatusBar(self, event)

Toggles whether the StatusBar is visible.

### OnViewToolBar(self, event)

Toggles whether the ToolBar is visible.

### UpdateStatus(self, message=u'Ready')

Updates the StatusBar.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:06:56 2007 | http://epydoc.sf.net